FROM ubuntu:20.04
ARG DEBIAN_FRONTEND=noninteractive 
#the above line is avoid interaction
RUN apt update && apt install -y wget git build-essential net-tools iproute2 iperf iputils-ping libgmp-dev libbsd-dev libssl-dev libboost-all-dev iproute2 iperf iputils-ping wget cargo cmake
WORKDIR /root
RUN git clone https://github.com/encryptogroup/OTExtension.git
RUN cd OTExtension/ && mkdir build && cd build && cmake .. && make
RUN git clone git://git-crysp.uwaterloo.ca/duoram  
RUN git clone https://git-crysp.uwaterloo.ca/iang/spiral-spir  
RUN cd duoram/usenix-artifact/preprocessing && make
RUN cd duoram/usenix-artifact/duoram-online && make 
RUN cd duoram/usenix-artifact/2p-preprocessing && make
RUN cd duoram/2P-duoram/cxx && make test0 test1 spir_test0 spir_test1
 
